/**
 * Data model pour les armes de corps à corps
 */
export default class ArmeccDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      categorie: new fields.StringField({ initial: "" }),
      equipe: new fields.BooleanField({ initial: false }),
      degat: new fields.NumberField({ initial: 0, integer: true }),
      solidite: new fields.NumberField({ initial: 0, integer: true }),
      enc: new fields.NumberField({ initial: 0, integer: true }),
      valeur: new fields.NumberField({ initial: 0, integer: true }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
